-- $LastChangedDate: 2011-03-17 19:59:52 -0400 (Thu, 17 Mar 2011) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "Light",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "shader/module.hh"
#include "shader/light.hh"
using namespace shader;
]],

func_SetBrightness = {
    comments = "Light:SetBrightness( float )",
    code = [[
        GET_LIGHT().SetLightBrightness( POP_FP(L) );
    ]]
},

func_GetBrightness = {
    comments = "float Light:GetBrightness()",
    code = [[
        lua_pushnumber( L, GET_LIGHT().GetLightBrightness() );
        return 1;  // stack items to return
    ]]
},

}
